Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

fatal error has occurred #2099

Closed
HerbCSO opened this Issue · 10 comments

4 participants

@HerbCSO

Trying to run bundle viz.

carstendreesbach:/opt/pose/ruby/ruby_off_rails/Episode09 [git: master] $ bundle viz
Unfortunately, a fatal error has occurred. Please report this error to the Bundler issue tracker at https://github.com/carlhuda/bundler/issues so that we can fix it. Please include the full output of the command, your Gemfile and Gemfile.lock. Thanks!
/Users/carstendreesbach/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/site_ruby/1.9.1/rubygems/dependency.rb:247:in `to_specs': Could not find superfight (>= 0) amongst [RedCloth-4.2.9, actionmailer-3.2.8, actionmailer-3.2.5, actionmailer-3.1.8, actionmailer-3.1.0.rc4, actionpack-3.2.8, actionpack-3.2.5, actionpack-3.1.8, actionpack-3.1.0.rc4, activemodel-3.2.8, activemodel-3.2.5, activemodel-3.2.3, activemodel-3.1.8, activemodel-3.1.0.rc4, activerecord-3.2.8, activerecord-3.2.5, activerecord-3.2.3, activerecord-3.1.8, activerecord-3.1.0.rc4, activerecord-postgis-adapter-0.4.3, activeresource-3.2.8, activeresource-3.2.5, activeresource-3.1.8, activeresource-3.1.0.rc4, activesupport-3.2.8, activesupport-3.2.5, activesupport-3.2.3, activesupport-3.1.8, activesupport-3.1.0.rc4, addressable-2.3.2, archive-tar-minitar-0.5.2, arel-3.0.2, arel-2.2.3, arel-2.1.4, backports-2.5.3, bcrypt-ruby-3.0.1, bcrypt-ruby-2.1.4, best_in_place-1.1.2, builder-3.0.3, builder-3.0.0, bundler-1.1.3, capybara-1.1.2, childprocess-0.3.5, childprocess-0.2.3, clbustos-rtf-0.4.2, coffee-rails-3.2.2, coffee-script-2.2.0, coffee-script-source-1.3.3, colorize-0.5.8, columnize-0.3.6, debugger-1.2.0, debugger-1.1.4, debugger-linecache-1.1.1, debugger-ruby_core_source-1.1.3, devise-2.1.2, diff-lcs-1.1.3, dirty-memoize-0.0.4, distribution-0.7.0, erubis-2.7.0, eventmachine-0.12.10, excon-0.16.2, execjs-1.4.0, extendmatrix-0.3.1, factory_girl-4.0.0, factory_girl_rails-4.0.0, fastercsv-1.5.4, ffi-1.1.5, ffi-1.0.11, foreman-0.57.0, gem-man-0.3.0, geocoder-1.1.1, github-markup-0.7.4, guard-1.3.2, guard-rspec-1.2.1, heroku-2.31.2, heroku-api-0.3.5, hike-1.2.1, httparty-0.8.1, huffshell-0.0.13, i18n-0.6.1, i18n-0.6.0, journey-1.0.4, journey-1.0.3, jquery-rails-2.1.2, jquery-rails-2.0.2, jquery-rails-1.0.19, json-1.7.5, json-1.7.4, json-1.7.3, launchy-2.1.2, libwebsocket-0.1.5, linecache19-0.5.12, listen-0.5.0, mail-2.4.4, mail-2.3.3, markup-0.1.3, mime-types-1.19, mime-types-1.18, mime-types-1.17.2, minimization-0.2.1, minitest-2.12.1, multi_json-1.3.6, multi_json-1.3.5, multi_json-1.3.4, multi_json-1.2.0, multi_json-1.0.4, multi_xml-0.4.1, mysql-2.8.1, mysql2-0.3.11, net-sftp-2.0.5, net-ssh-2.3.0, netrc-0.7.7, nokogiri-1.5.5, nokogiri-1.5.0, orm_adapter-0.4.0, pg-0.14.0, pg-0.13.2, polyglot-0.3.3, pqueue-2.0.2, prawn-0.8.4, prawn-core-0.8.4, prawn-layout-0.8.4, prawn-security-0.8.4, prawn-svg-0.9.1.10, rack-1.4.1, rack-1.3.6, rack-1.3.5, rack-cache-1.2, rack-cache-1.0.3, rack-mount-0.8.3, rack-protection-1.2.0, rack-ssl-1.3.2, rack-test-0.6.1, rails-3.2.8, rails-3.2.5, rails-3.1.8, rails-3.1.0.rc4, railties-3.2.8, railties-3.2.5, railties-3.1.8, railties-3.1.0.rc4, rake-0.9.2.2, rb-fsevent-0.9.1, rbx-require-relative-0.0.9, rdiscount-1.6.8, rdoc-3.12, redcarpet-2.1.1, reportbuilder-1.4.2, rest-client-1.6.7, rest_in_place-2.1.1, rgeo-0.3.13, rgeo-activerecord-0.4.5, rserve-client-0.2.5, rspec-2.11.0, rspec-2.10.0, rspec-2.9.0, rspec-core-2.11.1, rspec-core-2.10.0, rspec-core-2.9.0, rspec-expectations-2.11.3, rspec-expectations-2.11.2, rspec-expectations-2.10.0, rspec-expectations-2.9.1, rspec-mocks-2.11.2, rspec-mocks-2.11.1, rspec-mocks-2.10.1, rspec-mocks-2.9.0, rspec-rails-2.11.0, ruby-debug-base19-0.11.25, ruby-debug-base19x-0.11.30.pre10, ruby-debug19-0.11.6, ruby-fsevent-0.2.1, ruby-ole-1.2.11.2, ruby_core_source-0.1.5, rubyvis-0.5.1, rubyzip-0.9.9, rubyzip-0.9.5, sass-3.2.1, sass-3.2.0, sass-3.1.20, sass-3.1.19, sass-rails-3.2.5, sass-rails-3.1.6, sass-rails-3.1.0.rc.5, selenium-webdriver-2.25.0, selenium-webdriver-2.15.0, sequel-3.33.0, sequel-3.30.0, sinatra-1.3.2, sinatra-content-for2-0.3, sinatra-contrib-1.3.1, spreadsheet-0.6.8, sprockets-2.1.3, sprockets-2.0.4, sqlite3-1.3.6, sqlite3-1.3.4, statsample-1.2.0, statsample-bivariate-extension-1.1.0, text-table-1.2.2, thor-0.15.4, thor-0.15.2, thor-0.14.6, tilt-1.3.3, treetop-1.4.10, tzinfo-0.3.33, uglifier-1.3.0, uglifier-1.2.7, uglifier-1.2.6, uglifier-1.2.4, warden-1.2.1, watchr-0.7, xpath-0.1.4] (Gem::LoadError)
    from /Users/carstendreesbach/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/site_ruby/1.9.1/rubygems/dependency.rb:256:in `to_spec'
    from /Users/carstendreesbach/.rvm/gems/ruby-1.9.3-p125/gems/bundler-1.1.3/lib/bundler/graph.rb:38:in `block in _populate_relations'
    from /Users/carstendreesbach/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/set.rb:222:in `block in each'
    from /Users/carstendreesbach/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/set.rb:222:in `each_key'
    from /Users/carstendreesbach/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/set.rb:222:in `each'
    from /Users/carstendreesbach/.rvm/gems/ruby-1.9.3-p125/gems/bundler-1.1.3/lib/bundler/graph.rb:37:in `_populate_relations'
    from /Users/carstendreesbach/.rvm/gems/ruby-1.9.3-p125/gems/bundler-1.1.3/lib/bundler/graph.rb:18:in `initialize'
    from /Users/carstendreesbach/.rvm/gems/ruby-1.9.3-p125/gems/bundler-1.1.3/lib/bundler/cli.rb:519:in `new'
    from /Users/carstendreesbach/.rvm/gems/ruby-1.9.3-p125/gems/bundler-1.1.3/lib/bundler/cli.rb:519:in `viz'
    from /Users/carstendreesbach/.rvm/gems/ruby-1.9.3-p125/gems/bundler-1.1.3/lib/bundler/vendor/thor/task.rb:22:in `run'
    from /Users/carstendreesbach/.rvm/gems/ruby-1.9.3-p125/gems/bundler-1.1.3/lib/bundler/vendor/thor/invocation.rb:118:in `invoke_task'
    from /Users/carstendreesbach/.rvm/gems/ruby-1.9.3-p125/gems/bundler-1.1.3/lib/bundler/vendor/thor.rb:263:in `dispatch'
    from /Users/carstendreesbach/.rvm/gems/ruby-1.9.3-p125/gems/bundler-1.1.3/lib/bundler/vendor/thor/base.rb:386:in `start'
    from /Users/carstendreesbach/.rvm/gems/ruby-1.9.3-p125/gems/bundler-1.1.3/bin/bundle:13:in `<top (required)>'
    from /Users/carstendreesbach/.rvm/gems/ruby-1.9.3-p125/bin/bundle:19:in `load'
    from /Users/carstendreesbach/.rvm/gems/ruby-1.9.3-p125/bin/bundle:19:in `<main>'

Gemfile and Gemfile.lock here: https://gist.github.com/3711492

@HerbCSO HerbCSO closed this
@HerbCSO HerbCSO reopened this
@indirect
Owner
@HerbCSO

Upgraded to bundler 1.2, still getting a very similar error. Updated gist: https://gist.github.com/3711859

@rohit
Collaborator

From where is the gem/dependency about-herbcso supposed to be satisfied? Also does bundle install work normally?

@HerbCSO

about-herbcso comes from git://github.com/HerbCSO/about-herbcso.git. bundle install works fine:

╭─<carstendreesbach@Carsten-Dreesbach-MacBook-Pro.local>-</opt/pose/ruby/ruby_off_rails/Episode09>-<730de41∙master∙✔>-<11:09AM>-◇
╰─➤ bundle install                                                                                                                                                                                                                     1 ↵
Using rake (0.9.2.2) 
Using about-herbcso (0.0.2) from git://github.com/HerbCSO/about-herbcso.git (at master) 
Using diff-lcs (1.1.3) 
Using rspec-core (2.11.1) 
Using rspec-expectations (2.11.3) 
Using rspec-mocks (2.11.2) 
Using rspec (2.11.0) 
Using superfight (0.0.1) from git://github.com/RubyoffRails/superfight.git (at master) 
Using bundler (1.2.1) 
Your bundle is complete! Use `bundle show [gemname]` to see where a bundled gem is installed.

bundle viz still bombs out with the same error.

@rohit
Collaborator

Ah this is a known issue, i.e it has been reported many times. #1899 #1884 #1961 #1762

There is also a pull request #2046 can you please test the patch and see if it solves the problem? Also if you can give feedback on the patch that would be awesome!

@rohit
Collaborator

Closing as this is a duplicate of #1762

As I mentioned there is a PR (#2046) to fix this issue. Can you please test the patch and give feedback? Lets move the discussion to the PR.

@rohit rohit closed this
@rohit
Collaborator

I can reproduce this on Bundler 1.2.1. Steps to reproduce:

  • git clone git://github.com/HerbCSO/about-herbcso.git
  • cd about-herbsco
  • bundle install
  • bundle viz

It certainly looks like the same issue. @hirochachacha can you please take a look at this? Was this type of issue part of your PR? I'm reopening the issue till that is confirmed.

@rohit rohit reopened this
@hirochachacha

Yes, it is.

@hirochachacha

I mean, it's a same type of issue part of my PR.

@indirect
Owner

This example works for me in Bundler 1.3.4, so I'm closing this as fixed. Thanks for reporting!

@indirect indirect closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.